Summary:	rstart and rstartd applications - Remote Start client and helper
Summary(pl.UTF-8):	Aplikacje rstart i rstartd - klient i program do zdalnego uruchamiania
Name:		xorg-app-rstart
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/rstart-%{version}.tar.bz2
# Source0-md5:	960f4fa5e7e87ae05febd02e9e96d158
Patch0:		%{name}-configdir.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-util-macros >= 1.8
# contexts/x11r6
Requires:	xorg-app-iceauth
# contexts/x11r6, rstart client
Requires:	xorg-app-xauth
# commands/x11r6/LoadMonitor
Requires:	xorg-app-xload
# commands/x11r6/Terminal
Requires:	xterm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rstart is a simple implementation of a Remote Start client as defined
in "A Flexible Remote Execution Protocol Based on rsh". It uses rsh as
its underlying remote execution mechanism.

rstartd is an implementation of a Remote Start "helper" as defined in
"A Flexible Remote Execution Protocol Based on rsh".

%description -l pl.UTF-8
rstart to prosta implementacja klienta zdalnego uruchamiania (Remote
Start) opisanego w publikacji "A Flexible Remote Execution Protocol
Based on rsh". Wykorzystuje rsh jako mechanizm zdalnego wykonywania.

rstartd to implementacja programu pomocniczego ("helpera") opisanego w
"A Flexible Remote Execution Protocol Based on rsh".

%prep
%setup -q -n rstart-%{version}
%patch0 -p1

# workaround unnecessary AC_CONFIG_MACRO_DIR([m4]) in configure.ac
mkdir m4

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	RSH=/usr/bin/rsh \
	--with-default-man-path="/usr/share/man:/usr/local/man" \
	--with-default-user-path="/usr/local/bin:/usr/bin:/bin"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/rstart
%attr(755,root,root) %{_bindir}/rstartd
%dir %{_libdir}/X11/rstart
%attr(755,root,root) %{_libdir}/X11/rstart/rstartd.real
%{_libdir}/X11/rstart/commands
%{_libdir}/X11/rstart/contexts
%dir /etc/X11/rstart
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/config
%{_mandir}/man1/rstart.1x*
%{_mandir}/man1/rstartd.1x*
%changelog
* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 451d7d7
- updated to 1.0.5
- old configdir patch became obsolete, replaced by new one
- removed obsolete install patch

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c514d79
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 9af5ce4
- updated to 1.0.4
- updated configdir patch

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> ff8dd16
- updated util-macros version

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d0da7da
- up to 1.0.3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e228d0a
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 03be191
- informative descs from mans

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 37c155f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6fcd2ae
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> add3c5f
- added configdir patch, put configs in /etc/X11/rstart (following X11-fhs.patch)
- added install patch to fix alias symlinks creation
- added used xorg apps to Requires
- release 1

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> e4b785d
- fix alias symlinks creation

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 629bb49
- allow to override configdir

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b43e7a7
- up to 1.0.2

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> c7482cf
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> a19e9b1
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 05701ce
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 46b66fe
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch, added missing dir

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> a7d859f
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 2c4a2e0
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 294e090
- cleanups, kill /usr/X11R6

